"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMockCloudEvent = exports.generateCombinedCloudEvent = void 0;
const partials_1 = require("./mocks/partials");
const ts_deepmerge_1 = require("ts-deepmerge");
/**
 * @return {CloudEvent} Generated Mock CloudEvent
 */
function generateCombinedCloudEvent(cloudFunction, cloudEventPartial) {
    const generatedCloudEvent = generateMockCloudEvent(cloudFunction, cloudEventPartial);
    return cloudEventPartial
        ? ts_deepmerge_1.default(generatedCloudEvent, cloudEventPartial)
        : generatedCloudEvent;
}
exports.generateCombinedCloudEvent = generateCombinedCloudEvent;
function generateMockCloudEvent(cloudFunction, cloudEventPartial) {
    for (const mockCloudEventPartial of partials_1.LIST_OF_MOCK_CLOUD_EVENT_PARTIALS) {
        if (mockCloudEventPartial.match(cloudFunction)) {
            return mockCloudEventPartial.generateMock(cloudFunction, cloudEventPartial);
        }
    }
    // No matches were found
    return null;
}
exports.generateMockCloudEvent = generateMockCloudEvent;
